summaryrefslogtreecommitdiff
path: root/tests/skip-device
diff options
context:
space:
mode:
Diffstat (limited to 'tests/skip-device')
-rwxr-xr-xtests/skip-device16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/skip-device b/tests/skip-device
new file mode 100755
index 0000000..e73bad3
--- /dev/null
+++ b/tests/skip-device
@@ -0,0 +1,16 @@
+#!/bin/sh
+# grep must ignore --devices=ACTION (-D) when reading stdin
+# For grep-2.11, this test would fail.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+# Test both with no file argument, and with "-".
+echo foo | grep -D skip foo - || fail=1
+echo foo | grep --devices=skip foo || fail=1
+
+require_timeout_
+mkfifo myfifo || framework_failure_
+timeout 2s grep -D skip foo myfifo
+test $? -eq 1 || fail=1
+
+Exit $fail